# NOTE:
# - we could reuse gnome notification daemon if there is added xdg/autostart file with NotShowIn=GNOME:
#   http://git.gnome.org/browse/notification-daemon/commit/data?id=1ad20d22098bc7718614a8a87744a2c22d5438d0
Summary:	Notification daemon for MATE Desktop
Name:		mate-notification-daemon
Version:	1.6.1
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	1c4eb6137fab8d83a15e1d68d0f865ea
Patch1:		use-libwnck.patch
URL:		http://wiki.mate-desktop.org/mate-notification-daemon
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-devel >= 0.78
BuildRequires:	dbus-glib-devel >= 0.78
BuildRequires:	desktop-file-utils
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel > 2:2.18
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-devel
BuildRequires:	libcanberra-gtk-devel >= 0.4
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	libwnck2-devel
BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.26.0
Requires:	gsettings-desktop-schemas
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Provides:	dbus(org.freedesktop.Notifications)
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# makefiles and this spec gets confused if %{_libdir} == %{_libexecdir}
# so we setup separate --libexecdir=%{_libdir}/mnd
%define		_libexecdir %{_libdir}/mnd

%description
Notification daemon for MATE Desktop.

%prep
%setup -q
%patch1 -p1

%build
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-icon-update \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-notification-daemon.convert

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/engines/lib*.la

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
$RPM_BUILD_ROOT%{_desktopdir}/mate-notification-properties.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/mate-notification-properties
%{_mandir}/man1/mate-notification-properties.1*
%{_desktopdir}/mate-notification-properties.desktop
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/mate-notification-properties.ui
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/mate-notification-daemon
%{_iconsdir}/hicolor/*/apps/mate-notification-properties.*
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/engines
%attr(755,root,root) %{_libdir}/%{name}/engines/libcoco.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libnodoka.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libslider.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libstandard.so
%changelog
* Mon Oct 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-notification-daemon.git;a=log;h=master

* Mon Oct 28 2013 Elan Ruusamäe <glen@delfi.ee> 8170b22
- drop bogus ldconfig

* Mon Oct 28 2013 Elan Ruusamäe <glen@delfi.ee> 3638153
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 587c17d
- up to 1.6.0

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> d423b32
- up to 1.5.2

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> 21dd116
- update/cleanup deps

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> a1fd930
- use libnotify and libwnck, not mate forks

* Mon Jan 21 2013 Elan Ruusamäe <glen@delfi.ee> bab55d3
- cleanup deps, by cleanbuild

* Mon Jan 21 2013 Elan Ruusamäe <glen@delfi.ee> a9e7de4
- up to 1.5.1

* Mon Jan 21 2013 Elan Ruusamäe <glen@delfi.ee> 976a44d
- more specific url, package names in deps

* Thu Dec 27 2012 Elan Ruusamäe <glen@delfi.ee> 14df9aa
- new, version 1.5.0

